HP Views Designer Assistant: Interfaz Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Public Member Functions | Protected Attributes | Private Attributes | List of all members
Interfaz Class Reference

The Interfaz class. Represents generic screen. More...

`#include <interfaz.h>`

Inheritance diagram for Interfaz:

## Public Member Functions

| Interfaz ()
| Interfaz constructor.
int | getHeight ()
| getHeigth Returns the screen height. More...
void | setHeigth (int height)
| setHeigth Replaces the screen height. More...
int | getWidth ()
| getWidth Returns the screen width. More...
void | setWidth (int width)
| setWidth Repalces the screen width. More...
int | getNumberOfElements () const
| getNumberOfElements Returns the screen number of elements. More...
void | setNumberOfElements (int value)
| setNumberOfElements Raplaces the screen number of elements. More...
int | getNumberOfRows () const
| getNumberOfRows Returns the screen number of rows. More...
void | setNumberOfRows (int value)
| setNumberOfRows Raplaces the screen number of rows. More...
int | getNumberOfCols () const
| getNumberOfCols Returns the screen number of columns. More...
void | setNumberOfCols (int value)
| setNumberOfCols Replaces the screen number of columns. More...
QString | getImageBackground () const
| getImageBackground Returns the screen background image path. More...
void | setImageBackground (QString value)
| setImageBackground Replaces the screen background image path. More...
QColor | getColorBackground ()
| getColorBackground Returns the screen background color. More...
void | setColorBackground (const QColor &value)
| setColorBackground Repalces the screen background color. More...
bool | getHasIcons () const
| getHasIcons Returns if the interface has icons. More...
void | setHasIcons (bool value)
| setHasIcons Specifies if the interfaces has icons. More...
bool | getHasImageBackground () const
| getHasImageBackground Returns if the interface has an image background. More...
void | setHasImageBackground (bool value)
| setHasImageBackground Specifies if the interface has an image background. More...

## Protected Attributes

int | numberOfElements
| numberOfElements Screen number of elements.

## Private Attributes

int | numberOfCols
| numberOfCols Screen number of columns.
int | numberOfRows
| numberOfRows Screen number of rows.
int | height
| height Screen height
int | width
| width Screen width
QString | imageBackground
| imageBackground Screen image background path.
bool | hasImageBackground
| hasImageBackground Screen background option.
bool | hasIcons
| hasIcons Screen icon option.
QColor | colorBackground
| colorBackground Scrren background color.

## Detailed Description

The Interfaz class. Represents generic screen.

## Member Function Documentation

## ◆ getColorBackground()

QColor Interfaz::getColorBackground | ( |  | ) |

getColorBackground Returns the screen background color.

Returns
  Background color.

## ◆ getHasIcons()

bool Interfaz::getHasIcons | ( |  | ) | const

getHasIcons Returns if the interface has icons.

Returns
  `True` if the interface has icons, false otherwise.

## ◆ getHasImageBackground()

bool Interfaz::getHasImageBackground | ( |  | ) | const

getHasImageBackground Returns if the interface has an image background.

Returns
  `True` if the interface has an image background, `false` otherwise.

## ◆ getHeight()

int Interfaz::getHeight | ( |  | ) |

getHeigth Returns the screen height.

Returns
  Screen Heigth.

## ◆ getImageBackground()

QString Interfaz::getImageBackground | ( |  | ) | const

getImageBackground Returns the screen background image path.

Returns
  Image background path.

## ◆ getNumberOfCols()

int Interfaz::getNumberOfCols | ( |  | ) | const

getNumberOfCols Returns the screen number of columns.

Returns
  Screen number of columns.

## ◆ getNumberOfElements()

int Interfaz::getNumberOfElements | ( |  | ) | const

getNumberOfElements Returns the screen number of elements.

Returns
  Screen number of elements.

## ◆ getNumberOfRows()

int Interfaz::getNumberOfRows | ( |  | ) | const

getNumberOfRows Returns the screen number of rows.

Returns
  Screen number of rows.

## ◆ getWidth()

int Interfaz::getWidth | ( |  | ) |

getWidth Returns the screen width.

Returns
  Screen width.

## ◆ setColorBackground()

void Interfaz::setColorBackground | ( | const QColor & | value | ) |

setColorBackground Repalces the screen background color.

Parameters

  value | Background color.

## ◆ setHasIcons()

void Interfaz::setHasIcons | ( | bool | value | ) |

setHasIcons Specifies if the interfaces has icons.

Parameters

  value | Wheter the interface has icons.

## ◆ setHasImageBackground()

void Interfaz::setHasImageBackground | ( | bool | value | ) |

setHasImageBackground Specifies if the interface has an image background.

Parameters

  value | Whether the interface has image background.

## ◆ setHeigth()

void Interfaz::setHeigth | ( | int | height | ) |

setHeigth Replaces the screen height.

Parameters

  height | Screen height.

## ◆ setImageBackground()

void Interfaz::setImageBackground | ( | QString | value | ) |

setImageBackground Replaces the screen background image path.

Parameters

  value | Image background path.

## ◆ setNumberOfCols()

void Interfaz::setNumberOfCols | ( | int | value | ) |

setNumberOfCols Replaces the screen number of columns.

Parameters

  value | Screen number of columns.

## ◆ setNumberOfElements()

void Interfaz::setNumberOfElements | ( | int | value | ) |

setNumberOfElements Raplaces the screen number of elements.

Parameters

  value | Screen number of elements.

## ◆ setNumberOfRows()

void Interfaz::setNumberOfRows | ( | int | value | ) |

setNumberOfRows Raplaces the screen number of rows.

Parameters

  value | Screen numbers of rows.

## ◆ setWidth()

void Interfaz::setWidth | ( | int | width | ) |

setWidth Repalces the screen width.

Parameters

  width | Screen width.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/Model/interfaz.h
- D:/Documentos/ViewDesignerAssistant/Model/interfaz.cpp